// StrDialog.cpp : implementation file
//

#include "stdafx.h"
#include "Calculator.h"
#include "StrDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// StrDialog dialog
double TreeNode::x;

StrDialog::StrDialog(CWnd* pParent /*=NULL*/)
	: CDialog(StrDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(StrDialog)
	m_str = _T("");
	m_a = 0;
	m_b = 100;
	//}}AFX_DATA_INIT
}


void StrDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(StrDialog)
	DDX_Text(pDX, IDC_EDIT1, m_str);
	DDX_Text(pDX, IDC_EDIT3, m_a);
	DDX_Text(pDX, IDC_EDIT4, m_b);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(StrDialog, CDialog)
	//{{AFX_MSG_MAP(StrDialog)
	ON_BN_CLICKED(IDCALCULATE, OnCalculate)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// StrDialog message handlers

BOOL StrDialog::Create()
{
	return CDialog::Create(IDD_STRDIALOG);
}

void StrDialog::OnOK() 
{
	// TODO: Add extra validation here
	UpdateData(true);
	if(parentView)
	parentView->PostMessage(WM_ENDDIALOG,IDOK);
	CDialog::OnOK();
}

void StrDialog::OnCalculate() 
{
	UpdateData(TRUE);
	DocPointer->str=m_str;
	DocPointer->StrChanged();
	if(m_a>=m_b) m_b=m_a+1;
	DocPointer->a=m_a;
	DocPointer->b=m_b;
	DocPointer->ReCountSquares();
	DocPointer->view1->Invalidate(TRUE);
	DocPointer->view2->Invalidate(TRUE);
//	TreeNode::x=10;
//	m_answer=DocPointer->TheTop->Calculate();
	UpdateData(FALSE);
}
