// CalculatorDoc.h : interface of the CCalculatorDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CALCULATORDOC_H__61097377_131D_409C_ADD1_220C94FD4BCE__INCLUDED_)
#define AFX_CALCULATORDOC_H__61097377_131D_409C_ADD1_220C94FD4BCE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "TreeNode.h"

class CCalculatorDoc : public CDocument
{
protected: // create from serialization only
	CCalculatorDoc();
	DECLARE_DYNCREATE(CCalculatorDoc)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCalculatorDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	double MonteSquare(int);
	double SimpsonSquare(int);
	double trapecSquare(int);
	double squareSquare(int);
	void ReCountSquares();
	double** squares;
	int b;
	int a;
	void StrChanged();
	TreeNode* TheTop;
	CView* view2;
	CView* view1;
	double Answer;
	CString str;
	virtual ~CCalculatorDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CCalculatorDoc)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CALCULATORDOC_H__61097377_131D_409C_ADD1_220C94FD4BCE__INCLUDED_)
