// CalculatorView.cpp : implementation of the CCalculatorView class
//

#include "stdafx.h"
#include "Calculator.h"

#include "CalculatorDoc.h"
#include "CalculatorView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCalculatorView

IMPLEMENT_DYNCREATE(CCalculatorView, CView)

BEGIN_MESSAGE_MAP(CCalculatorView, CView)
	//{{AFX_MSG_MAP(CCalculatorView)
	ON_COMMAND(ID_OPENSTRDIALOG, OnOpenstrdialog)
	ON_MESSAGE (WM_ENDDIALOG,OnEndDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCalculatorView construction/destruction

CCalculatorView::CCalculatorView()
{
	// TODO: add construction code here

	m_dialog=NULL;
}

CCalculatorView::~CCalculatorView()
{
	delete m_dialog;
}

BOOL CCalculatorView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs
//	if(GetDocument())
//	{
//		GetDocument()->AddView(this);
//	}
	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CCalculatorView drawing

void CCalculatorView::OnDraw(CDC* pDC)
{
	CCalculatorDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	pDoc->view1=this;
//	pDC->TextOut(1,1,pDoc->TheTop->ToString());
	// TODO: add draw code for native data here
	pDC->TextOut(1,1,"Function: "+pDoc->str);
	pDC->TextOut(1,21,":");
	pDC->TextOut(70,21,"");
	pDC->TextOut(1,41,"50:");
	pDC->TextOut(1,61,"100:");
	pDC->TextOut(1,81,"200:");
	pDC->TextOut(1,101,"500:");
	pDC->TextOut(1,121,"1000:");
	pDC->TextOut(1,141,"5000:");

	CString str1;
	str1.Format("%.2f",pDoc->squares[0][0]);
	pDC->TextOut(70,41,str1);
	str1.Format("%.2f",pDoc->squares[0][1]);
	pDC->TextOut(70,61,str1);
	str1.Format("%.2f",pDoc->squares[0][2]);
	pDC->TextOut(70,81,str1);
	str1.Format("%.2f",pDoc->squares[0][3]);
	pDC->TextOut(70,101,str1);
	str1.Format("%.2f",pDoc->squares[0][4]);
	pDC->TextOut(70,121,str1);
	str1.Format("%.2f",pDoc->squares[0][5]);
	pDC->TextOut(70,141,str1);

	pDC->TextOut(200,21,"");
	str1.Format("%.2f",pDoc->squares[1][0]);
	pDC->TextOut(200,41,str1);
	str1.Format("%.2f",pDoc->squares[1][1]);
	pDC->TextOut(200,61,str1);
	str1.Format("%.2f",pDoc->squares[1][2]);
	pDC->TextOut(200,81,str1);
	str1.Format("%.2f",pDoc->squares[1][3]);
	pDC->TextOut(200,101,str1);
	str1.Format("%.2f",pDoc->squares[1][4]);
	pDC->TextOut(200,121,str1);
	str1.Format("%.2f",pDoc->squares[1][5]);
	pDC->TextOut(200,141,str1);
	
	pDC->TextOut(300,21,"");
	str1.Format("%.2f",pDoc->squares[2][0]);
	pDC->TextOut(300,41,str1);
	str1.Format("%.2f",pDoc->squares[2][1]);
	pDC->TextOut(300,61,str1);
	str1.Format("%.2f",pDoc->squares[2][2]);
	pDC->TextOut(300,81,str1);
	str1.Format("%.2f",pDoc->squares[2][3]);
	pDC->TextOut(300,101,str1);
	str1.Format("%.2f",pDoc->squares[2][4]);
	pDC->TextOut(300,121,str1);
	str1.Format("%.2f",pDoc->squares[2][5]);
	pDC->TextOut(300,141,str1);
	
	pDC->TextOut(400,21,"-");	
	str1.Format("%.2f",pDoc->squares[3][0]);
	pDC->TextOut(400,41,str1);
	str1.Format("%.2f",pDoc->squares[3][1]);
	pDC->TextOut(400,61,str1);
	str1.Format("%.2f",pDoc->squares[3][2]);
	pDC->TextOut(400,81,str1);
	str1.Format("%.2f",pDoc->squares[3][3]);
	pDC->TextOut(400,101,str1);
	str1.Format("%.2f",pDoc->squares[3][4]);
	pDC->TextOut(400,121,str1);
	str1.Format("%.2f",pDoc->squares[3][5]);
	pDC->TextOut(400,141,str1);

}

/////////////////////////////////////////////////////////////////////////////
// CCalculatorView diagnostics

#ifdef _DEBUG
void CCalculatorView::AssertValid() const
{
	CView::AssertValid();
}

void CCalculatorView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CCalculatorDoc* CCalculatorView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CCalculatorDoc)));
	return (CCalculatorDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CCalculatorView message handlers

void CCalculatorView::OnOpenstrdialog() 
{
	// TODO: Add your command handler code here
	if(m_dialog==NULL)
	{
		m_dialog=new StrDialog();
		m_dialog->DocPointer=GetDocument();
		m_dialog->parentView=this;
		m_dialog->m_str="0";
		m_dialog->Create();
	}
}

LONG CCalculatorView::OnEndDialog(UINT wParam, LONG lParam)
{
	m_dialog->DestroyWindow();
	delete m_dialog;
	m_dialog=NULL;
	return 0l;
}
