// MyTreeView.cpp : implementation file
//

#include "stdafx.h"
#include "Calculator.h"
#include "MyTreeView.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMyTreeView

IMPLEMENT_DYNCREATE(CMyTreeView, CView)

CMyTreeView::CMyTreeView()
{

}

CMyTreeView::~CMyTreeView()
{
}


BEGIN_MESSAGE_MAP(CMyTreeView, CView)
	//{{AFX_MSG_MAP(CMyTreeView)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMyTreeView drawing

void CMyTreeView::OnDraw(CDC* pDC)
{
	CCalculatorDoc* pDoc = GetDocument();
	pDoc->view2=this;
	
	CRect rect;
	this->GetClientRect(&rect);
	pDC->MoveTo(0,rect.bottom/2);
	pDC->LineTo(rect.right,rect.bottom/2);
	pDC->LineTo(rect.right-10,rect.bottom/2-10);
	pDC->MoveTo(rect.right,rect.bottom/2);
	pDC->LineTo(rect.right-10,rect.bottom/2+10);
	if(pDoc->a>=pDoc->b) pDoc->b=pDoc->a+1;
	float del=(float)(pDoc->b-pDoc->a)/(rect.right-(float)20);
	TreeNode::x=(pDoc->a);
	double temp=pDoc->TheTop->Calculate();
	pDC->MoveTo(10,-temp+rect.bottom/2);//,RGB(255,128,0));

	pDC->TextOut(rect.right-10,rect.bottom/2+10,"b");
	pDC->TextOut(10,rect.bottom/2+10,"a");
	
	CPen pen(PS_SOLID,1,RGB(255,0,0));
	
	pDC->SelectObject(&pen);
	for(int x1=11;x1<(rect.right-10);x1++)
	{
		//x1=a;
		TreeNode::x=(pDoc->a+(float)(x1-10.0)*(float) del);
		pDC->LineTo(x1,-pDoc->TheTop->Calculate()+rect.bottom/2);//,RGB(255,128,0));
	}
	//CPoint point;
	//point.x=rect.right/2;
	//point.y=3;

	
}

/////////////////////////////////////////////////////////////////////////////
// CMyTreeView diagnostics

#ifdef _DEBUG
void CMyTreeView::AssertValid() const
{
	CView::AssertValid();
}

void CMyTreeView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMyTreeView message handlers

CCalculatorDoc* CMyTreeView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CCalculatorDoc)));
	return (CCalculatorDoc*)m_pDocument;
}